package com.mosty.yjzl.service;

import com.mosty.base.model.dto.yjzl.TbFzycXljlDto;
import com.mosty.base.model.entity.wzzx.TbWzSbsswz;
import com.mosty.base.model.entity.yjzl.TbFzycXljl;
import com.mosty.base.model.vo.wzzx.TbWzSblswzVo;
import com.mosty.base.model.vo.yjzl.TbFzJlVo;
import com.mosty.base.model.vo.yjzl.TbFzycXljlVo;
import io.swagger.annotations.ApiOperation;

import java.util.List;

public interface TbFzycXljlService {

    @ApiOperation("新增")
    int insert(TbFzycXljlVo xljlVo);

    @ApiOperation("修改")
    int updateById(TbFzycXljlVo xljlVo);

    @ApiOperation("根据ID查询")
    TbFzycXljl queryById(String id);

    @ApiOperation("根据ID删除")
    int deleteById(String id);

    @ApiOperation("查询犯罪预警预测指令巡逻记录列表")
    List<TbFzycXljlDto> qfzxl(String id);

    @ApiOperation("新增")
    int addBySbwz(TbFzJlVo vo);

}
